routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::resource('/empleados', 'EmpleadosController');
Route::get('/agregarempleado', 'EmpleadosController@agregar');

Route::get('/home', 'HomeController@index')->name('home');

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/empleados.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class empleados extends Model
{
    //

    protected $table = 'EMPLEADOS';
    public $timestamps = false;
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EmpleadosController.php
<?php

namespace App\Http\Controllers;

use App\empleados;
use Illuminate\Http\Request;

class EmpleadosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $empleados = EMPLEADOS::all();

        return view('empleados', compact('empleados'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function agregar()
    {

      return view('agregarempleado');
    }
    public function create()
    {
        //



    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $empleados = new empleados;

        /*$this->validate($request, [
            'central' => 'required|numeric|filled|max:50',
            'grupo' => 'required|digits_between:1,100',
            'nombre_banca' => 'required|string|max:30',
            'numero_banca' => 'required|numeric|max:5',
            'numero_telefono' => 'required|alpha_num|max:10',
            'direccion_banca' => 'required|string|max:50',
    ]);*/


        $empleados->ID_EMPLEADO = request('id');
        $empleados->NOMBRE = request('nombre');
        $empleados->APELLIDO = request('apellido');
        $empleados->EMAIL = request('email');
        $empleados->NUMERO_TELEFONO = request('numero_telefono');
        $empleados->FECHA_CONTRATO = request('contrato');
        $empleados->ID_PUESTO = request('id_puesto');
        $empleados->SALARIO = request('salario');
        $empleados->COMISION = request('comision');
        $empleados->ID_SUPERVISOR = request('id_supervisor');
        $empleados->ID_DEPARTAMENTO = request('id_departamento');

        $empleados->save();

        return redirect('/empleados');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\empleados  $empleados
     * @return \Illuminate\Http\Response
     */
    public function show(empleados $empleados)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\empleados  $empleados
     * @return \Illuminate\Http\Response
     */
    public function edit(empleados $empleados)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\empleados  $empleados
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, empleados $empleados)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\empleados  $empleados
     * @return \Illuminate\Http\Response
     */
    public function destroy(empleados $empleados)
    {
        //
        DB::table("empleados")->where('id',$id)->delete();
        return back()->withMessage('Campo eliminado');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('home');
    }
}

resources/views/agregarempleado.blade.php
@extends('adminlte::page')

@section('title', 'Consorcio software.')

@section('content_header')
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>Agregando empleados</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="/css/style.css" rel="stylesheet">
  </head>

  <body>
@section('content')
 @if (count($errors) > 0)
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
   <div class="container">

  <h1 class="display-3">Agregar empleado</h1>

  <form method="POST" action="empleados">
  {{ csrf_field() }}

    <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">ID_EMPLEADO</label>
    <div class="col-10">
      <input class="form-control" type="text" name="id" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">Nombre empleado</label>
    <div class="col-10">
      <input class="form-control" type="text" name="nombre" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">Apellido empleado</label>
    <div class="col-10">
      <input class="form-control" type="text" name="apellido" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">email empleado</label>
    <div class="col-10">
      <input class="form-control" type="text" name="email" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">numero de telefono</label>
    <div class="col-10">
      <input class="form-control" type="tel" name="numero_telefono" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">fecha contrato</label>
    <div class="col-10">
      <input class="form-control" type="date" name="contrato" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">id puesto</label>
    <div class="col-10">
      <input class="form-control" type="text" name="id_puesto" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">salario</label>
    <div class="col-10">
      <input class="form-control" type="text" name="salario" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">comision</label>
    <div class="col-10">
      <input class="form-control" type="text" name="comision" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">id supervisor</label>
    <div class="col-10">
      <input class="form-control" type="text" name="id_supervisor" id="example-text-input">
    </div>
  </div>

  <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">id departamento</label>
    <div class="col-10">
      <input class="form-control" type="text" name="id_departamento" id="example-text-input">
    </div>
  </div>



   <div class="form-group row">
    <label for="example-text-input" class="col-2 col-form-label">Registrar</label>
    <div class="col-10">
      <input class="btn btn-success" type="submit"  id="example-text-input">
    </div>
  </div>
  </form>


  </div>

    </div>


  </body>
</html>
@stop

resources/views/empleados.blade.php
@extends('adminlte::page')
@section('title', 'Consorcio software.')
@section('content_header')
<html>
<head>
    <title>||Manejar empleados ||</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link href="/css/style.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css">

</head>
@section('content')
<body>
<div>
<h1>Ver  <small>empleados</small></h1>
<div class="container">
<a href="agregarempleado"> Agregar empleado </a>
</div>
<div class="container">
<table class="table-bordered" id="banca">
    <thead>
        <th>Id</th>
        <th>Nombre</th>
        <th>Apellido</th>
        <th>Email</th>
        <th>Numero de telefono</th>
        <th>Fecha de contrato</th>
        <th>Id puesto</th>
        <th>Salario</th>
        <th>Comision</th>
        <th>ID supervisor</th>
        <th>ID departamento</th>
        <th> - </th>

    </thead>
    <tbody>
        @foreach($empleados as $empleados)
            <tr>
                <td> {{ $empleados->ID_EMPLEADO }}</td>
                <td> {{ $empleados->NOMBRE }}</td>
                <td> {{ $empleados->APELLIDO }}</td>
                <td> {{ $empleados->EMAIL }}</td>
                <td> {{ $empleados->NUMERO_TELEFONO }}</td>
                <td> {{ $empleados->FECHA_CONTRATO }}</td>
                <td> {{ $empleados->ID_PUESTO }}</td>
                <td> {{ $empleados->SALARIO }}</td>
                <td> {{ $empleados->COMISION}}</td>
                <td> {{ $empleados->ID_SUPERVISOR }}</td>
                <td> {{ $empleados->ID_DEPARTAMENTO}}</td>
               <td>
               <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#myModal-{{$empleados->id}}">
                        Edit
                    </button>
                    <form action="{{route('empleados.destroy',$empleados->id)}}"  method="POST">
                       {{csrf_field()}}
                       {{method_field('DELETE')}}
                       <input class="btn btn-sm btn-danger" type="submit" value="Delete">
                     </form>
              </td>
            </tr>
        @endforeach
    </tbody>
</table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>
<script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
 <script>
    $(document).ready(function(){
    $('#banca').DataTable({
    });
});
 </script>
</div>
</body>
</html>
@stop

resources/views/home.blade.php
@extends('adminlte::page')

@section('title', 'AdminLTE')

@section('content_header')
    <h1>Dashboard</h1>
@stop

@section('content')
    <p>You are logged in!</p>
@stop

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                        {{ config('app.name', 'Laravel') }}
                    </a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Authentication Links -->
                        @if (Auth::guest())
                            <li><a href="{{ route('login') }}">Login</a></li>
                            <li><a href="{{ route('register') }}">Register</a></li>
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a href="{{ route('logout') }}"
                                            onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            Logout
                                        </a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </nav>

        @yield('content')
    </div>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
</body>
</html>